#!/bin/bash
##################################################
#Installation of pwsync fixpack for 5.1.2
#Prerequisites: Copy the zip file to the 
#build directory eg:  
##################################################
idsdir="IDS"
sundir="SunOne"
backupdir="backup"
idsjvmdir="IDS/_jvm"
sunjvmdir="SunOne/_jvm"
backupidsdir="backup/IDS"
backupsundir="backup/SunOne"
backupjvmdir="backup/_jvm"
fixpackprop="fixpack.properties"
readme="5.1.2-IDI-FP01_Plugins_Sol.README"


if [ ! -d $backupdir ]; then
	echo **$backupdir directory not present. Cannot Rollback Fixpack.
	exit 2
fi



##################################################
#replace with backup jvm
##################################################
if [ -d $idsdir ]; then
	echo **IDS jvm is copied
	cp -rf $backupidsdir/_jvm $idsdir
	cp $backupidsdir/libpwsync.so $idsdir
	chmod a+rw $idsdir/libpwsync.so
	rm $idsdir/$fixpackprop
	rm $idsdir/$readme
else 
	echo IDS not installed
fi

if [ -d $sundir ]; then
	echo **Sun jvm is copied
	cp -rf $backupsundir/_jvm $sundir
	cp $backupsundir/libsunpwsync.so $sundir
	chmod a+rw $sundir/libsunpwsync.so
	rm $sundir/$fixpackprop
	rm $sundir/$readme
else 
	echo Sunone not installed
fi
########################################################
# Delete unwanted stuff
########################################################
echo **removing $backupdir
rm -rf $backupdir

